unique.igraph.es {igraph} | R Documentation

## Remove duplicate edges from an edge sequence

### Description

Remove duplicate edges from an edge sequence

### Usage

    ## S3 method for class 'igraph.es'
    unique(x, incomparables = FALSE, ...)

### Arguments

`x` | An edge sequence.
`incomparables` | a vector of values that cannot be compared. Passed to base function `duplicated`. See details there.
`...` | Passed to base function `duplicated()`.

### Value

An edge sequence with the duplicate vertices removed.

### See Also

Other vertex and edge sequence operations: `c.igraph.es`, `c.igraph.vs`, `difference.igraph.es`, `difference.igraph.vs`, `igraph-es-indexing2`, `igraph-es-indexing`, `igraph-vs-indexing2`, `igraph-vs-indexing`, `intersection.igraph.es`, `intersection.igraph.vs`, `rev.igraph.es`, `rev.igraph.vs`, `union.igraph.es`, `union.igraph.vs`, `unique.igraph.vs`

### Examples

    g <- make_(ring(10), with_vertex_(name = LETTERS[1:10]))
    E(g)[1, 1:5, 1:10, 5:10]
    E(g)[1, 1:5, 1:10, 5:10] %>% unique()

[Package igraph version 1.1.2 Index]